<?php 

function moral_magazine_breaking_news_style(){

    $breaking_news = '#magazine_pro_breaking_news_section.page-section {
            padding: 20px 0;
        }
        #magazine_pro_breaking_news_section .news-title {
            font-size: 14px;
            background-color: #e6432a;
            color: #fff;
            display: inline-block;
            padding: 28px 16px 28px 65px;
            text-transform: uppercase;
            position: relative;
            margin: 0 24px 0 0;
            font-weight: 700;
            line-height: 1;
            font-family: "Lato", sans-serif;
        }
        #magazine_pro_breaking_news_section .featured-image,
        #magazine_pro_breaking_news_section .entry-container {
            display: table-cell;
            vertical-align: middle;
        }
        #magazine_pro_breaking_news_section .featured-image img {
            height: 50px;
            width: 50px;
            object-fit: cover;
        }
        .breaking-news-slider article {
            margin-top: 15px;
            padding: 10px 10px;
        }
        #magazine_pro_breaking_news_section .entry-title {
            margin-bottom: 0;
            padding: 0 15px;
            font-size: 16px;
        }
        #magazine_pro_breaking_news_section .entry-title a {
            color: #fff;
        }
        .breaking-news-wrapper:hover .entry-title a,
        #magazine_pro_breaking_news_section .entry-title a:hover,
        #magazine_pro_breaking_news_section .entry-title a:focus  {
            color: #e6432a;
        }
        .breaking-news-post {
            background-color: #202020;
            position: relative;
        }
        .aft-ripple {
            display: inline-block;
            position: absolute;
            min-width: 30px;
            width: 55px;
            min-height: 50px;
            height: 70px;
            display: flex;
            justify-content: center;
            align-items: center;
            top: 0;
            background: rgba(0,0,0,.25);
        }
        .aft-ripple div {
            position: absolute;
            border: 3px solid #ffffff;
            opacity: 1;
            border-radius: 50%;
            top: 50%;
            left: 50%;
            -o-transform: translate(-50%, -50%);
            -moz-transform: translate(-50%, -50%);
            -ms-transform: translate(-50%, -50%);
            -webkit-transform: translate(-50%, -50%);
            transform: translate(-50% , -50%);
            animation: animate 1.5s linear infinite;
        }
        .aft-ripple div:nth-child(2) {
            animation-delay: -0.5s;
        }

        @keyframes animate {
            0% {
                width: 0px;
                height: 0px;
            }
            50% {
                opacity: 1;
            }
            100% {
                width: 50px;
                height: 50px;
                opacity: 0;
            }
        }

        @media screen and (max-width: 767px) {
            #magazine_pro_breaking_news_section .news-title {
                text-align: center;
                margin: 0;
                display: block;
            }
        }
        @media screen and (min-width: 767px) {
            #magazine_pro_breaking_news_section .news-title {
                float: left;
            }
            .breaking-news-slider article {
                margin-top: 0;
            }
        }
        @media screen and (min-width: 1025px) {
            #magazine_pro_hero_banner_section {
                position: relative;
            }
        }
        @media screen and (min-width: 1900px) {
            #magazine_pro_breaking_news_section .entry-title a {
                font-size: 20px;
            }
            #magazine_pro_breaking_news_section .news-title {
                padding: 31px 16px 31px 65px;
            }
            .aft-ripple {
                height: 76px;
                width: 60px;
            }
        }';

    wp_add_inline_style( 'moral-magazine-style', $breaking_news );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_breaking_news_style' );