<?php 

function moral_magazine_featured_news_style(){

    $featured_news = '.featured-left-sidebar,
        #magazine_pro_featured_news_section .featured-news-post {
            margin-bottom: 32px;
        }
        .featured-sidebar .sidebar-post-wrapper {
            display: table;
            position: relative;
            align-items: center;
            width: 100%;
        }
        .featured-sidebar .featured-image {
            width: 30%;
            position: absolute;
            display: table-cell;
            left: 0;
            bottom: 0;
            right: 0;
            top: 0;
            padding-bottom: 0;
            margin-bottom: 0;
        }
        .featured-sidebar .entry-container {
            text-align: unset;
            width: 70%;
            display: table-cell;
            padding: 0 15px;
        }
        .featured-sidebar article:not(:last-child) {
            margin-bottom: 25px;
        }
        #magazine_pro_featured_news_section .entry-title {
            margin-bottom: 6px;
        }
        .featured-sidebar .entry-title {
            margin-bottom: 0;
        }
        #magazine_pro_featured_news_section .featured-news-post .featured-image {
            padding: 150px 0;
            background-size: cover;
            background-position: 50%;
            background-repeat: no-repeat;
            position: relative;
        }
        #magazine_pro_featured_news_section .featured-news-post-wrapper {
            position: relative;
        }
        #magazine_pro_featured_news_section .featured-news-post .entry-container {
            position: absolute;
            left: 0;
            right: 0;
            bottom: 0;
            padding: 24px 20px;
        }
        #magazine_pro_featured_news_section  .featured-news-post .featured-news-post-wrapper .featured-image {
            position: relative;
            -webkit-transition: all 0.3s ease-in-out;
            -moz-transition: all 0.3s ease-in-out;
            -ms-transition: all 0.3s ease-in-out;
            -o-transition: all 0.3s ease-in-out;
            transition: all 0.3s ease-in-out;
        }
        #magazine_pro_featured_news_section  .featured-news-post .featured-news-post-wrapper {
            position: relative;
            overflow: hidden;
        }
        #magazine_pro_featured_news_section  .featured-news-post .featured-news-post-wrapper:hover .featured-image {
            -webkit-transform: scale(1.2);
            -moz-transform: scale(1.2);
            -ms-transform: scale(1.2);
            -o-transform: scale(1.2);
            transform: scale(1.2);
        }
        .featured-news-post article:not(:last-child) {
            margin-bottom: 32px;
        }

        #magazine_pro_featured_news_section .featured-news-post-wrapper .posted-on a:before,    
        #magazine_pro_featured_news_section .featured-news-post-wrapper .comment a:before {    
            -webkit-filter: brightness(0) invert(1);
            -moz-filter: brightness(0) invert(1);
            -ms-filter: brightness(0) invert(1);
            -o-filter: brightness(0) invert(1);
            filter: brightness(0) invert(1);
        }

        @media screen and (min-width: 767px) {
            .featured-news-post article:nth-last-child(-n+2) {
                margin-bottom: 0;
            }
        }
        @media screen and (min-width: 1025px) {
            .featured-left-sidebar {
                width: 25%;
                float: left;
                padding-right: 15px;
            }
            .featured-news-post {
                width: 50%;
                float: left;
                padding: 0 15px;
            }
            .featured-right-sidebar {
                width: 25%;
                float: left;
                padding-left: 15px;
            }
            .featured-left-sidebar,
            #magazine_pro_featured_news_section .featured-news-post {
                margin-bottom: 0;
            }
        }
        @media screen and (min-width: 1200px) {
            .featured-sidebar .entry-header {
                max-height: 50px;
                overflow: hidden;
            }
        }
        @media screen and (min-width: 1900px) {
            .featured-sidebar .entry-header {
                max-height: 55px;
            }
        }';

    wp_add_inline_style( 'moral-magazine-style', $featured_news );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_featured_news_style' );